========================================
BreedMemorial 更新履歴
========================================


# 2021年7月25日 V1.40
## ◆バグ修正
- ラジコンが、ゲームパッドで操作できないバグを修正

## ◆仕様変更
- 3D水鉄砲の難易度を調整

  - 水鉄砲を後方には発射できないようにした。
  - モンスターの体当たり速度と体当たり前の準備時間を短縮
  - モンスターの体当たりに衝突した時の減点量を、「獲得スコアの4分の1」に変更

- フラッグレースのステータス「Move」の算出ルールを改定。プレイヤーが操作できないほどの速度では走れなくした。

  - 「Move」の値の範囲は 0 ～ 150
  - 計算の結果、「Move」が 150 を超える場合は、他モンスターの「Move」が低くなる

## ◆その他の変更
- いくつかのBGMの楽器アサインや残響などが不適切だったため再録を実施


# 2020年10月3日 V1.39
## ◆バグ修正
- 翻訳辞書のアップデートを実行すると、言語設定が日本語に戻るバグを修正
- 「フラッグショック」に出漁中、稀にエラーが発生する問題を修正


# 2020年8月16日 V1.38
## ◆その他の変更
- V1.37 で実施した、「タイトルバーの更新が有効だった場合に、ソフトウェアがクラッシュする」対策が、環境によっては逆効果だったようなので元に戻した。
- 翻訳辞書が壊れている場合に、起動ができなくなる問題への対策を実施。
- アップデートチェックの処理を少し変更


# 2020年8月3日 V1.37
## ◆バグ修正
- タイトルバーの更新が有効だった場合に、ソフトウェアがクラッシュする可能性のある問題へ対応
- 翻訳辞書のスプレッドシート側IDが変わっていたために、「翻訳辞書のアップデート」を実行すると、ソフトウェアが起動できなくなる問題を修正


# 2020年7月22日 V1.36
## ◆バグ修正
- V1.33 以降のバージョンで、初めて闘技場に入るとエラーが発生していたバグを修正

## ◆機能追加
- 「モンスターの殿堂」を追加。大会優勝時や死亡時のモンスターのステータス等を振り返ることができる。
- 翻訳辞書を更新する機能を追加 (「環境設定」 → 「アップデート設定」 → 「翻訳辞書を更新」)
- ウィンドウが非アクティブになった時の動作を設定する機能を追加


# 2020年6月4日 V1.35
## ◆バグ修正
- ジュークボックスを持っていない状態でジムに入ると、一部のメニュー選択の結果にずれが生じるバグを修正


# 2020年5月23日 V1.34
## ◆バグ修正
- V1.32 以降のバージョンで、一部のアイテムが異なるアイテムに変換された問題への対応を実施
  セーブデータをロードする時に、一度だけ、対象となるアイテムが、 V1.32 よりも古いバージョンで入手したアイテムか否かを確認して、変換できる機能を追加。なお、本来所有していないアイテムを所有したと偽ると、いくつかのイベントが正しく進行しなくなる可能性があるので、注意して欲しい。
  なお、 V1.32 よりも古いバージョンからバージョンアップを行なった場合、変換が必要なことは明確であるため、過去バージョンの動作と同様、強制的に変換が行なわれる。


# 2020年5月19日 V1.33
## ◆バグ修正
- バトル中、XInput対応コントローラーの振動が出続けていた問題を修正。
- ライブラリーの互換性の問題によって、XInput対応ゲームパッドの認識に失敗した時の動作が不適切だったバグを修正。
- ソフトウェアを起動すると、SAPI5の既定の音声エンジンが変更される問題を修正。
- 「コンテスト」の競技ログに、アピールしたモンスターの名前が正しく出力されていなかったバグを修正
- いくつか、翻訳が行なわれていなかった箇所を修正

  - 「予定超」を表示した時の予定の名前
  - ファーム等でアイテムを選択する時に表示されるアイテムの種別

## ◆機能追加
- 「ジュークボックス」を追加。条件を満たすことで、ゲーム中の楽曲を聴取することが可能になる。

## ◆仕様変更
- 大会競技や探索を通して能力がランダムに上昇する時、最大値になっている能力は選ばれにくくした。

## ◆その他の変更
- 翻訳辞書を更新
- 音の読み込み処理の最適化を実施。マラソンなどの動作が僅かに軽快になった。
- PC-Talker による音声出力の処理を変更。実際の動作には影響は無い。


# 2020年1月23日 V1.32
## ◆機能追加
- 新しいモンスター種族を追加。これに伴い、モンスターの総数が 37 種増加。
- 新しいアイテムを追加

## ◆仕様変更
- 一部のモンスターの技を変更


# 2019年11月1日 V1.31
## ◆仕様変更
- アシスタントによる餌の推奨をより寛容になるように調整。能力が上昇する食品に対する評価が高まった。
- マラソン中のステータス計算を調整。概ね、以前よりも長く走ることができるようになった。


# 2019年10月20日 V1.30
## ◆その他の変更
- 「トレーニング用具の選択」など、グループ化されているメニュー上で、グループ名を読み上げている間、操作が停止しないようにした。これによって、矢印キーなどによるカーソル移動がよりスムーズになった。


# 2019年10月20日 V1.29
## ◆バグ修正
- 何らかの理由で、「ゲームパッド設定」が破損した場合、復旧するための操作が行なえなくなることがわかったため、対策を実施。
- 特定のモンスターを素材に使用して合体を行なうと、異常なステータスのモンスターが誕生する問題を修正


# 2019年9月19日 V1.28
## ◆バグ修正
- 特定の時期に「フラッグショック」に出場するとソフトウェアがクラッシュするバグを修正
- いくつかのモンスターと、「変異の欠片」を組み合わせて合体を試みると、ソフトウェアがクラッシュするバグを修正


# 2019年7月21日 V1.27
## ◆バグ修正
- 公開翻訳辞書が壊れていたために、マージした翻訳辞書が壊れてしまった問題に対応
- 公開翻訳辞書のダウンロードURLが変わったので修正 (インポートの手順を間違えた)


# 2019年7月20日 V1.26
## ◆バグ修正
- 季節が変わるタイミングで、ジムでのトレーニングを行なうと、BGMが正しく切り替わらないバグを修正
- 「基礎トレーニング」の器具が表示されないことのある問題への対策を実施
- V1.23で発生した年月のずれを、「育成履歴」から復元する機能を追加。
- 公式戦などの大会で優勝した時に、ソフトウェアがクラッシュすることがあるバグを修正


# 2019年7月20日 V1.24
## ◆バグ修正
- 時期が、強制的に 2019年11月4週目 になってしまうバグを修正
- 所持金が増減した時の音が鳴らなくなっていたバグを修正


# 2019年7月19日 V1.23
## ◆仕様変更
- 育成履歴のデータ量が膨大になっても閲覧できるように、50件単位でページ分割して表示するようにした。
- 購入済のトレーニング機器は、ジムでも無料で利用できる仕様に戻した。また、「購入済」であることがわかるようにした。
- 育成履歴に記録する内容を追加


# 2019年7月15日 V1.22
## ◆バグ修正
- 約151分の1の確率で、大会に出場しようとするとソフトウェアがクラッシュするバグを修正

## ◆仕様変更
- ジムでは、「走り込み」などの基礎トレーニング機器も有料にした。

## ◆その他の変更
- 翻訳処理の動作速度を改善
- 「モンスター図鑑」や、「大会スケジュールの選択」の動作速度を改善


# 2019年7月14日 V1.21
## ◆バグ修正
- フラッグレース中に、フリーズすることがある原因を修正
- モンスター図鑑の閲覧を行なうと、ソフトウェアがクラッシュするバグを修正
- Google spread sheet からダウンロードしたCSVを使うと、いくつかのテキストが翻訳されなくなるバグを修正 (Google spread sheet側の問題)


# 2019年7月13日 V1.20
## ◆バグ修正
- 公園で「フラッグレースの説明」を閲覧しようとすると、ソフトウェアがクラッシュするバグを修正
- コロシアムで、片方のモンスターが「棄権」した時の勝敗のメッセージの翻訳を修正

## ◆新機能
- モンスターの「性別」が表示されるようになった。
  ※なお、性別の違いは成長度や競技には影響しない。

## ◆仕様変更
- 「遊び」でもらえるリボンの効果を調整

## ◆その他の変更
- 「Google spread sheet」上で翻訳辞書を公開し、誰でも編集できるようにした。

  「Breed memorial」公開翻訳辞書
  : https://docs.google.com/spreadsheets/d/1OqxWTnJ6QLinVG3P7jseTCkhUwC6ipWtE4fE1ezwp_c/edit?usp=sharing
  翻訳辞書のダウンロード
  : https://docs.google.com/spreadsheets/d/1OqxWTnJ6QLinVG3P7jseTCkhUwC6ipWtE4fE1ezwp_c/export?format=csv&gid=1687843967

- ダウンロードした辞書データを直接利用できるようにした。 (辞書データ「data/lang.csv」のエンコーディングを UTF-8 に変更)
- 辞書データのエラーチェックツール「translate checker」を更新


# 2019年7月10日 V1.19
## ◆新機能
- 「競技ログ」を、マラソン、フラッグレース、コンテストでも利用できるようにした。
- 読み上げが終了したら自動的にメッセージを進める「オートスクロール」機能を追加
- コロシアムの試合観戦に関するポリシィ設定を追加 (全確認なしに全試合をスキップすることができる)

## ◆仕様変更
- いくつかのモンスターの技を変更
- いくつかの技の性能を変更
- 「暴れる」や「インファイト」などの技のリスクを、「反動ダメージ」から、「自身のステータスランク低下」に変更
- コロシアムで試合観戦をしなかった時の勝敗判定を調整。

## ◆その他
- 試験的に、スペイン語の翻訳を加えた。
- 翻訳辞書の文法エラーを検出するための「Translate checker」を同梱。


# 2019年7月2日 V1.18
## ◆バグ修正
- フラッグレース中、メニューを開くと、フラッグレーススピードが上昇するバグを修正
- バトル中に発動した特性の効果が解除されなかったバグを修正
- 「ベア」を特別大会に出場させると、フリーズするバグを修正

## ◆新機能
- 競技中の状況の変化を確認できる「競技ログ」機能を追加

## ◆仕様変更
- バトル中、技の命中率を、より詳細に計算するようにした。

## ◆その他
- インストーラーの圧縮形式を変更。ファイルサイズが若干増えた。
- 一部で「音ファイルが壊れていた」疑惑があるため、音声ファイル「sounds.dat」を作り直し。


# 2019年6月27日 V1.17
## ◆バグ修正
- 探索中、壁に体当たりを行うと、まれに壁が探索ポイントに代わってしまうバグを修正。
- エンディング後、しばらくBGMが無音になっていたバグを修正
- 「合体」時に効果のあるアイテムの一部の効果が、発揮されていなかったバグを修正。

## ◆機能追加
- 新しいアイテムを追加

## ◆仕様変更
- バトル中の技の消費エネルギーを、「時間」で表示するように変更。これに伴い、「Weak XX」と表記していたEダウン効果を「Slow XX」に変更。
- フラッグレース中のメニューを階層化。メニューから、「フラッグレーススピード」の設定ができるようにした。また、マラソン中のメニューからも「マラソンスピード」の設定ができるようにした。
  この変更に伴って、「環境設定」/「ゲーム設定」内にあった同項目は削除。これらの設定は保存されるものではないため、「環境設定」内にあると誤解を招くと判断。
- いくつかのアイテムの説明文を更新
- アシスタントへ、「成熟期」に突入した時にもブリーダーへ通知するよう指導した。
- いくつかの技のバランスを調整。
- 探索地を狭くした。

## ◆その他
- いくつかの技のエフェクトを変更


# 2019年6月23日 V1.16
## ◆バグ修正
- キーボードの Z/X/C いずれかのキーを押すと、ゲームパッドによるキー入力と見なされる問題を修正 (例えば、名前の入力中、誤ってスクリーンキーボードへフォーカスが移動する)
- 「再来週」の翻訳が「Next week」になっていたバグを修正。Google翻訳が「再来週」を正しく訳さなかった。
- バトル中に敵をKOした時、技を使用したモンスターの特性が発動することがあったバグを修正。敵をKOした時点で試合終了となるため、この特性の発動は無意味である。

## ◆機能追加
- 「環境設定」/「スクリーンリーダー設定」を階層化。点字ディスプレイへの出力、及びウィンドウタイトルの更新を選択できるようにした。
- インストーラーを用いてインストールした時に、ゲームフォルダへのショートカットを追加するようにした。
- マラソン中、現在のペースをパーセンテージで確認できるようにした。スタミナ消耗の無いジョギング時が33%、全力疾走時が100%。
- フラッグレース中の進行速度を5段階で調節できるようにした。操作はマラソンと同じ。

## ◆仕様変更
- フラッグレース中、指示を受けずに行動しているモンスターは、自身を狙っている敵からも旗を奪うことがあるようにした。なお、「旗を奪われるとパニック状態になる」仕様のため、相互にターゲットしている状況では、「先に奪った方が勝ち」となる。
- フラッグレース中、指示を受けずに行動している「Range」の高いモンスターは、敵に十分に接近していなければ旗を奪わないようにした。「Range」が高いモンスターは、遠距離から旗を奪えるため、誰もいない所で吠えているように感じられる点が不自然だった。
- フラッグレースにおいて、モンスターが最も近い敵をターゲットする時、回避能力のある「奔放」特性を持つ敵は除外するようにした。なお、プレイヤーが操作している場合の方角のガイドにも反映される。
- フラッグレースにおいて、「奔放」特性によって、敵から旗を奪えなかった時、音を出すようにした。


# 2019年6月20日 V1.15
## ◆バグ修正
- サーバーにアクセスできない時に、HTMLファイルの内容がアップデート情報として表示されていた問題を修正
- 「英語」で「スピードライディング」をプレイすると、ソフトウェアがクラッシュする可能性があったバグを修正

## ◆機能強化
- 音声読み上げの内容を、点字ディスプレイにも出力するようにした。
- 一部の効果音による情報を、点字ディスプレイに出力するようにした。

  - 「マラソン」: 丸太などの障害物に近づいた時の通知
  - 「フラッグレース」: 「上限まで旗を獲得した」などの通知音に対応するメッセージ
  - 「コンテスト」: アピールの内容、及び会場の歓声の度合い
  - 「メモリーボイス」: めくったカードの番号、及び成否
  - 「モンスタータッチ」: モンスターの位置、及びタッチタイミング
  - 「探索」: 東西南北の壁までの距離

  ※開発者は点字ディスプレイを所有していないため、点字出力に関する動作確認はしていません。

## ◆仕様変更
- 違うモンスターを同じ時期に探索させると、同じ結果になるのは変なので調整

## ◆その他
- インストーラーを、一般的なWindowsソフトウェアと同等の構成に変更

  - インストール中の言語選択をサポート
  - 「Program files」配下へのインストールをサポート
  - デスクトップへのショートカット追加をサポート


# 2019年6月17日 V1.14
## ◆連絡
マラソン大会中に、ソフトウェアがクラッシュした人は、以下に挙げる情報を提供して下さい。

1. 出場した大会名
2. 出場日付(年・月・週)
3. 出場したモンスターの種族名

## ◆バグ修正
- 環境設定「バトル中の歓声の再生」の設定内容が、表示と反転していたバグを修正
- 稀に、バトル開始直後に試合終了する問題への対策を実施
- マラソン用コース内のオブジェクトが、ゴールの前後に設置されることがあったバグを修正。

## ◆新機能
- 「様子を見る」から、参加予定の大会の一覧(通知のために登録した大会)を表示できるようにした。
- 直近の育成履歴(ログ)を閲覧できるようにした(詳細は、「log」フォルダを参照)。
- バトル中、技選択時に残り時間もガイドするようにした。


# 2019年6月16日 V1.13
## ◆バグ修正
- バトル中に、相互に動きが止まることがある問題を修正


# 2019年6月15日 V1.12
## ◆バグ修正
- ランクSのモンスターが「4大大会」に出場できた、あるいは、ランクSSのモンスターが「特別大会」に出場できたバグを修正

## ◆新機能
- スケジュール表を更新。「名人」になった後の大会を追加
- MOD職人による音の置き換えを可能にした。「sound」フォルダを作り、音声ファイルを入れると、その音に置き換えることができる。

## ◆仕様変更
- モンスターの能力上昇に「懐き度」が影響するようにした。一定の値を超えた能力は、「懐き度」が足りないと伸びにくくなる。また、900～999までの成長が遅くなった。
  ※通常の育成では「懐き度」は自動的に上がっていくため、ほとんど影響は生じない。
- モンスターの復活時や合体時に決まる「性格」が重複しないようにした。
- 年数の経過により、少しずつ敵のレベルも上がるようにした。
- 「4大大会」、「特別大会」などは、指定のランクまで到達しなければ、スケジュール表に表示されないようにした。
- いくつかの大会では、コロシアムの試合時間を長くした。
- いくつかの大会では、コンテストのアピール審査のターン数を増やした。



# 2019年6月13日 V1.11
## ◆バグ修正
- 何らかの理由で「userdata」フォルダが存在しない時に、ゲームがセーブできない問題への対策を実施
- 闘技場で効果を発揮するアイテムの効果が、発揮されないことがあったバグを修正


# 2019年6月13日 V1.10
## ◆新機能
- 再生するモンスターを選択するダイアログで、操作音を通常のメニューと同程度に充実
- 再生するモンスターを選択するダイアログで、別ドライブの参照も可能にした。
- 自動アップデート機能を追加
- ニックネームを変更できるアイテムをショップに追加

## ◆仕様変更
- バトルにおいて、技の指示後も、使用する直前まではモンスターの前進・後退ができるようにした。
- バトル中のフィールドを広くした。
- 「プリプラム」などの効果が発動した時、結果を表示するようにした。


# 2019年6月11日 V1.09
## ◆バグ修正
- ファンレターの一部が欠落するバグを修正

## ◆仕様変更
- マラソンにおける特性のいくつかを変更


# 2019年6月11日 V1.08
## ◆バグ修正
- マーケットでモンスターをもらう時、何を選んでも「スライム」になっていたバグを修正
- 散歩中にメニューを開いて説明を読むと、ソフトウェアがクラッシュしたバグを修正
- 散歩中のメニューから「おもちゃ」を選択すると、その後のF1キーの動作が不適切になるバグを修正
- 一部、翻訳辞書の誤りを修正
- フラッグレースにおいて、敵モンスターの第2特性が繁栄されていなかったバグを修正

## ◆新機能・機能強化
- バトル、マラソン、フラッグレースの「特性」の説明を確認できるようにした。


# 2019年6月10日 V1.07
## ◆バグ修正
- 「ミニゲームの説明」などを開くと、ソフトウェアがクラッシュすることのあったバグを修正

## ◆新機能・機能強化
- F1キーによるヘルプ機能を、あらゆる場面で使えるようにした。迷った時は押してみよう！
- 英語のReadmeを作った。

## ◆仕様変更
- 探索で遭遇する野生モンスターを変更。また、「Sランクの敵が多過ぎる」という意見を反映した。
- Eキー による「テキスト出力」機能を微調整。
- 「readme」などののファイル名を変更


# 2019年6月8日 V1.06
## ◆バグ修正
- マラソンにおいて、キー操作を受け付けないことがあったバグを修正
- 翻訳辞書を更新


# 2019年6月7日 V1.05
## ◆バグ修正
- 「ショップ」の翻訳に対応
- 一部のシナリオに存在した不適切なテキストを修正
- 初回起動時に行なう環境設定を完了した直後、自動的に環境設定を保存する機能を追加。
- 一部の音が再生されていなかったバグを修正
- 一部のミニゲームの説明を開くと、ソフトウェアがクラッシュしていたバグを修正


# 2019年6月6日 V1.03
## ◆バグ修正
- 言語を「英語」に設定してプレイすると、いくつかのシナリオの続行が不能になるバグを修正
- 一部のシナリオに存在した不適切なテキストを修正
- 言語を「英語」に設定してプレイすると、「リマインダー機能」の実行によりソフトウェアがクラッシュするバグを修正

{#keywords:視覚障害,ゲーム,オーディオゲーム,育成シミュレーション,モンスター,諸熊}
{#description:「Breed memorial」の更新履歴です。}
{#toc:h1}
